package p.studio.compiler.backend.bytecode;

public class BytecodeMarshalingException extends RuntimeException {
    private final BytecodeMarshalingErrorCode code;

    public BytecodeMarshalingException(
            final BytecodeMarshalingErrorCode code,
            final String message) {
        super(message);
        this.code = code;
    }

    public BytecodeMarshalingErrorCode code() {
        return code;
    }
}

